Update Data Refinery

Add MCP server to your AI tool

Allow AI tools and LLMs to interact with the API documentation portal through MCP.

MCP server URL

https://apidocs.zerionsoftware.com/doc/dataflow-automation/mcp

Standard setup for AI tools providing an mcp.json file

mcp.json
{
  "Dataflow Automation MCP server": {
    "url": "https://apidocs.zerionsoftware.com/doc/dataflow-automation/mcp"
  }
}

Close
PUT /dataflows/{dataflowId}/recordsets/{recordSetId}/datarefinery/{refineryId}

Update Data Refinery.

Path parameters

  • dataflowId string Required

    id of the Dataflow

  • recordSetId string Required

    id of the RecordSet

  • refineryId string Required

    id of the Data Refinery

application/json

Body

  • parameters object
    Hide parameters attributes Show parameters attributes object
    • filter_expression string
    • filter_helper_code string
    • preview_input_data string

      Preview data

    • transformation_expression string
    • transformation_helper_code string
  • id string

    id of Data Refinery

  • delete_on_each_run boolean

    Currently not used

  • entity_id string

    id of the Entity

  • status number

    Currently not used

  • type_preprocessing string

    Data Refinery type (PREPROCESSING or AGGREGATION)

PUT /dataflows/{dataflowId}/recordsets/{recordSetId}/datarefinery/{refineryId}
curl \
 --request PUT 'https://dataflownode.zerionsoftware.com/zcrypt/v1.0/dataflows/{dataflowId}/recordsets/{recordSetId}/datarefinery/{refineryId}' \
 --header "Authorization: Bearer $ACCESS_TOKEN" \
 --header "Content-Type: application/json" \
 --data '{"parameters":{"filter_expression":"string","filter_helper_code":"string","preview_input_data":"string","transformation_expression":"string","transformation_helper_code":"string"},"id":"string","delete_on_each_run":true,"entity_id":"string","status":42.0,"type_preprocessing":"string"}'
Request examples
{
  "parameters": {
    "filter_expression": "string",
    "filter_helper_code": "string",
    "preview_input_data": "string",
    "transformation_expression": "string",
    "transformation_helper_code": "string"
  },
  "id": "string",
  "delete_on_each_run": true,
  "entity_id": "string",
  "status": 42.0,
  "type_preprocessing": "string"
}